Bug 60917 - Load Test with embedded resources download : Hits per seconds does not take into account the downloaded resources
Summary: Load Test with embedded resources download : Hits per seconds does not take i...
Status: RESOLVED FIXED
Alias: None
Product: JMeter
Classification: Unclassified
Component: HTTP (show other bugs)
Version: 3.1
Hardware: All All
: P2 enhancement (vote)
Target Milestone: JMETER_5.0
Assignee: JMeter issues mailing list
URL:
Keywords: FixedInTrunk
Depends on: 62550
Blocks:
  Show dependency tree
 
Reported: 2017-03-24 16:51 UTC by UbikLoadPack support
Modified: 2018-07-25 20:25 UTC (History)
1 user (show)



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description UbikLoadPack support 2017-03-24 16:51:42 UTC
As currently (and since origin) SampleCount is not updated when downloading embedded resources, the reported metrics regarding hits/s are not correct in this mode, as a consequence:
- Hits / s is wrong in report dashboard 
- Throughput is wrong if computed from CSV output
Comment 1 UbikLoadPack support 2017-03-25 09:12:00 UTC
PR :
https://github.com/apache/jmeter/pull/285


Regards
Comment 2 UbikLoadPack support 2017-03-25 09:12:53 UTC
Now that label has been made clear, make it an enhancement although it seems still weird that Hits / sec is the same wether embedded resources are downloaded or not.
Comment 3 Philippe Mouawad 2018-07-18 20:09:32 UTC
Would be fixed as part of Bug 62550
Comment 4 Philippe Mouawad 2018-07-25 20:25:19 UTC
Author: pmouawad
Date: Wed Jul 25 20:23:50 2018
New Revision: 1836667

URL: http://svn.apache.org/viewvc?rev=1836667&view=rev
Log:
Bug 62550 - Modify SubResult Naming Policy
This also fixed Bug 60917 - Load Test with embedded resources download : Hits per seconds does not take into account the downloaded resources
Bugzilla Id: 62550

Modified:
    jmeter/trunk/bin/jmeter.properties
    jmeter/trunk/bin/report-template/content/pages/Throughput.html.fmkr
    jmeter/trunk/bin/testfiles/jmeter-batch.properties
    jmeter/trunk/src/core/org/apache/jmeter/samplers/SampleResult.java
    jmeter/trunk/src/core/org/apache/jmeter/samplers/SampleSaveConfiguration.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/sampler/HTTPHC4Impl.java
    jmeter/trunk/test/src/org/apache/jmeter/save/TestCSVSaveService.java
    jmeter/trunk/xdocs/changes.xml